package gnome-accessibility-themes-extras (not installed) failed to install/upgrade: trying to overwrite '/usr/share/themes/LowContrast/index.theme', which is also in package gnome-themes-standard 2.91.93-1

Asked by i0 on 2011-05-25

ubuntu natty here , studio remix. why this package cannot be installed together with the gnome-themes-standard from the original repositories?

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu gnome-themes Edit question
Assignee:
No assignee Edit question
Last query:
2011-05-29
Last reply:
2011-05-30

Can you give the full output of:

sudo apt-get update; sudo apt-get -y upgrade

I can give a command to make the package install.

Thanks

i0 (correo-bastian) said : #2

sorry for the delayed response...thank you for your quick answer!

I'm new to linux and the launchpad answer/bug system, so excuse me for all noobiness. Trying to get the output you asked for, this were my results.

1. First i typed in the console what you requested, this was the output, having gnome-themes-standard 2.91.93-1 installed and not the package gnome-accessibility-themes-extras package: No errors.

(I am guessing i got to have the uninstallable package selected for installation in the synaptic package manager to show the error...please let me not if it is not what you intended/needed)

i0@monoazul:/$ sudo apt-get update; sudo apt-get -y upgrade
[sudo] password for i0:
Ign http://ftp.usf.edu natty InRelease
Ign http://ftp.usf.edu natty-updates InRelease
Ign http://ftp.usf.edu natty-security InRelease
Hit http://ftp.usf.edu natty Release.gpg
Ign http://linux.dropbox.com maverick InRelease
Hit http://ftp.usf.edu natty-updates Release.gpg
Hit http://linux.dropbox.com maverick Release.gpg
Hit http://ftp.usf.edu natty-security Release.gpg
Ign http://download.skype.com stable InRelease
Hit http://ftp.usf.edu natty Release
Hit http://ftp.usf.edu natty-updates Release
Hit http://linux.dropbox.com maverick Release
Ign http://ppa.launchpad.net natty InRelease
Ign http://ppa.launchpad.net natty InRelease
Ign http://archive.canonical.com natty InRelease
Ign http://ppa.launchpad.net natty InRelease
Ign http://download.skype.com stable Release.gpg
Hit http://ftp.usf.edu natty-security Release
Ign http://extras.ubuntu.com natty InRelease
Hit http://ftp.usf.edu natty/main Sources
Ign http://download.skype.com stable Release
Hit http://ftp.usf.edu natty/restricted Sources
Hit http://ftp.usf.edu natty/universe Sources
Hit http://ftp.usf.edu natty/multiverse Sources
Hit http://ftp.usf.edu natty/main amd64 Packages
Ign http://ppa.launchpad.net natty InRelease
Ign http://ppa.launchpad.net natty InRelease
Ign http://ppa.launchpad.net natty InRelease
Ign http://ppa.launchpad.net natty InRelease
Ign http://ppa.launchpad.net natty InRelease
Ign http://ppa.launchpad.net natty InRelease
Ign http://ppa.launchpad.net natty InRelease
Hit http://archive.canonical.com natty Release.gpg
Hit http://ftp.usf.edu natty/restricted amd64 Packages
Hit http://ftp.usf.edu natty/universe amd64 Packages
Hit http://ftp.usf.edu natty/multiverse amd64 Packages
Ign http://ftp.usf.edu natty/main TranslationIndex
Hit http://ppa.launchpad.net natty Release.gpg
Hit http://linux.dropbox.com maverick/main amd64 Packages
Get:1 http://extras.ubuntu.com natty Release.gpg [72 B]
Get:2 http://ppa.launchpad.net natty Release.gpg [316 B]
Ign http://ftp.usf.edu natty/multiverse TranslationIndex
Ign http://ftp.usf.edu natty/restricted TranslationIndex
Ign http://ftp.usf.edu natty/universe TranslationIndex
Hit http://ftp.usf.edu natty-updates/main Sources
Hit http://ftp.usf.edu natty-updates/restricted Sources
Hit http://ftp.usf.edu natty-updates/universe Sources
Ign http://linux.dropbox.com maverick/main TranslationIndex
Hit http://ftp.usf.edu natty-updates/multiverse Sources
Hit http://ftp.usf.edu natty-updates/main amd64 Packages
Hit http://ftp.usf.edu natty-updates/restricted amd64 Packages
Hit http://ftp.usf.edu natty-updates/universe amd64 Packages
Hit http://ftp.usf.edu natty-updates/multiverse amd64 Packages
Ign http://ftp.usf.edu natty-updates/main TranslationIndex
Ign http://ftp.usf.edu natty-updates/multiverse TranslationIndex
Ign http://ftp.usf.edu natty-updates/restricted TranslationIndex
Ign http://ftp.usf.edu natty-updates/universe TranslationIndex
Hit http://ftp.usf.edu natty-security/main Sources
Hit http://ppa.launchpad.net natty Release.gpg
Hit http://ppa.launchpad.net natty Release.gpg
Hit http://archive.canonical.com natty Release
Ign http://download.skype.com stable/non-free TranslationIndex
Hit http://ftp.usf.edu natty-security/restricted Sources
Hit http://ftp.usf.edu natty-security/universe Sources
Hit http://ftp.usf.edu natty-security/multiverse Sources
Hit http://ftp.usf.edu natty-security/main amd64 Packages
Hit http://extras.ubuntu.com natty Release
Hit http://ftp.usf.edu natty-security/restricted amd64 Packages
Hit http://ftp.usf.edu natty-security/universe amd64 Packages
Hit http://ftp.usf.edu natty-security/multiverse amd64 Packages
Ign http://ftp.usf.edu natty-security/main TranslationIndex
Ign http://ftp.usf.edu natty-security/multiverse TranslationIndex
Ign http://ftp.usf.edu natty-security/restricted TranslationIndex
Get:3 http://ppa.launchpad.net natty Release.gpg [316 B]
Get:4 http://ppa.launchpad.net natty Release.gpg [316 B]
Hit http://ppa.launchpad.net natty Release.gpg
Ign http://ftp.usf.edu natty-security/universe TranslationIndex
Hit http://archive.canonical.com natty/partner Sources
Hit http://extras.ubuntu.com natty/main Sources
Hit http://archive.canonical.com natty/partner amd64 Packages
Ign http://archive.canonical.com natty/partner TranslationIndex
Hit http://extras.ubuntu.com natty/main amd64 Packages
Ign http://extras.ubuntu.com natty/main TranslationIndex
Hit http://ppa.launchpad.net natty Release.gpg
Hit http://ppa.launchpad.net natty Release.gpg
Hit http://ppa.launchpad.net natty Release.gpg
Hit http://ppa.launchpad.net natty Release
Get:5 http://ppa.launchpad.net natty Release [9,743 B]
Hit http://ppa.launchpad.net natty Release
Hit http://ppa.launchpad.net natty Release
Get:6 http://ppa.launchpad.net natty Release [9,749 B]
Ign http://linux.dropbox.com maverick/main Translation-en_US
Ign http://linux.dropbox.com maverick/main Translation-en
Get:7 http://ppa.launchpad.net natty Release [9,758 B]
Hit http://ppa.launchpad.net natty Release
Hit http://ppa.launchpad.net natty Release
Hit http://ppa.launchpad.net natty Release
Hit http://ppa.launchpad.net natty Release
Hit http://ppa.launchpad.net natty/main Sources
Hit http://ppa.launchpad.net natty/main amd64 Packages
Ign http://ppa.launchpad.net natty/main TranslationIndex
Get:8 http://ppa.launchpad.net natty/main amd64 Packages [2,818 B]
Ign http://ppa.launchpad.net natty/main TranslationIndex
Hit http://ppa.launchpad.net natty/main amd64 Packages
Ign http://ppa.launchpad.net natty/main TranslationIndex
Ign http://ftp.usf.edu natty/main Translation-en_US
Ign http://ftp.usf.edu natty/main Translation-en
Ign http://ftp.usf.edu natty/multiverse Translation-en_US
Err http://download.skype.com stable/non-free amd64 Packages
  404 Not Found
Ign http://ftp.usf.edu natty/multiverse Translation-en
Ign http://ftp.usf.edu natty/restricted Translation-en_US
Ign http://ftp.usf.edu natty/restricted Translation-en
Ign http://ftp.usf.edu natty/universe Translation-en_US
Ign http://ftp.usf.edu natty/universe Translation-en
Ign http://ftp.usf.edu natty-updates/main Translation-en_US
Ign http://ftp.usf.edu natty-updates/main Translation-en
Ign http://ftp.usf.edu natty-updates/multiverse Translation-en_US
Ign http://ftp.usf.edu natty-updates/multiverse Translation-en
Ign http://ftp.usf.edu natty-updates/restricted Translation-en_US
Hit http://ppa.launchpad.net natty/main Sources
Hit http://ppa.launchpad.net natty/main amd64 Packages
Ign http://ppa.launchpad.net natty/main TranslationIndex
Get:9 http://ppa.launchpad.net natty/main Sources [6,417 B]
Get:10 http://ppa.launchpad.net natty/main amd64 Packages [4,937 B]
Ign http://ftp.usf.edu natty-updates/restricted Translation-en
Ign http://ftp.usf.edu natty-updates/universe Translation-en_US
Ign http://ftp.usf.edu natty-updates/universe Translation-en
Ign http://ftp.usf.edu natty-security/main Translation-en_US
Ign http://ftp.usf.edu natty-security/main Translation-en
Ign http://ftp.usf.edu natty-security/multiverse Translation-en_US
Ign http://ftp.usf.edu natty-security/multiverse Translation-en
Ign http://ftp.usf.edu natty-security/restricted Translation-en_US
Ign http://ftp.usf.edu natty-security/restricted Translation-en
Ign http://ftp.usf.edu natty-security/universe Translation-en_US
Ign http://ftp.usf.edu natty-security/universe Translation-en
Ign http://ppa.launchpad.net natty/main TranslationIndex
Get:11 http://ppa.launchpad.net natty/main amd64 Packages [13.9 kB]
Ign http://download.skype.com stable/non-free Translation-en_US
Ign http://download.skype.com stable/non-free Translation-en
Ign http://ppa.launchpad.net natty/main TranslationIndex
Hit http://ppa.launchpad.net natty/main Sources
Hit http://ppa.launchpad.net natty/main amd64 Packages
Ign http://ppa.launchpad.net natty/main TranslationIndex
Hit http://ppa.launchpad.net natty/main amd64 Packages
Ign http://ppa.launchpad.net natty/main TranslationIndex
Hit http://ppa.launchpad.net natty/main amd64 Packages
Ign http://ppa.launchpad.net natty/main TranslationIndex
Hit http://ppa.launchpad.net natty/main amd64 Packages
Ign http://ppa.launchpad.net natty/main TranslationIndex
Ign http://extras.ubuntu.com natty/main Translation-en_US
Ign http://archive.canonical.com natty/partner Translation-en_US
Ign http://extras.ubuntu.com natty/main Translation-en
Ign http://archive.canonical.com natty/partner Translation-en
Ign http://ppa.launchpad.net natty/main Translation-en_US
Ign http://ppa.launchpad.net natty/main Translation-en
Ign http://ppa.launchpad.net natty/main Translation-en_US
Ign http://ppa.launchpad.net natty/main Translation-en
Ign http://ppa.launchpad.net natty/main Translation-en_US
Ign http://ppa.launchpad.net natty/main Translation-en
Ign http://ppa.launchpad.net natty/main Translation-en_US
Ign http://ppa.launchpad.net natty/main Translation-en
Ign http://ppa.launchpad.net natty/main Translation-en_US
Ign http://ppa.launchpad.net natty/main Translation-en
Ign http://ppa.launchpad.net natty/main Translation-en_US
Ign http://ppa.launchpad.net natty/main Translation-en
Ign http://ppa.launchpad.net natty/main Translation-en_US
Ign http://ppa.launchpad.net natty/main Translation-en
Ign http://ppa.launchpad.net natty/main Translation-en_US
Ign http://ppa.launchpad.net natty/main Translation-en
Ign http://ppa.launchpad.net natty/main Translation-en_US
Ign http://ppa.launchpad.net natty/main Translation-en
Ign http://ppa.launchpad.net natty/main Translation-en_US
Ign http://ppa.launchpad.net natty/main Translation-en
Fetched 58.3 kB in 9s (5,940 B/s)
W: Failed to fetch http://download.skype.com/linux/repos/debian/dists/stable/non-free/binary-amd64/Packages 404 Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  cairo-dock cairo-dock-core cairo-dock-data screenlets-pack-all
4 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 18.8 MB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu/ natty/main cairo-dock-data all 2.3.0~2-2ubuntu1~natty [406 kB]
Get:2 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu/ natty/main cairo-dock-core amd64 2.3.0~2-2ubuntu1~natty [1,472 kB]
Get:3 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu/ natty/main cairo-dock all 2.3.0~2-2ubuntu1~natty [8,990 B]
Get:4 http://ppa.launchpad.net/screenlets-dev/ppa/ubuntu/ natty/main screenlets-pack-all all 0.0.2~bzr943+20110528175802~natty1 [16.9 MB]
Fetched 18.8 MB in 4min 45s (65.7 kB/s)
E: changelog for this version is not (yet) available; try https://launchpad.net/ubuntu/+source/cairo-dock/+changelog
E: changelog for this version is not (yet) available; try https://launchpad.net/ubuntu/+source/cairo-dock/+changelog
E: changelog for this version is not (yet) available; try https://launchpad.net/ubuntu/+source/cairo-dock/+changelog
E: changelog for this version is not (yet) available; try https://launchpad.net/ubuntu/+source/indiv-screenlets/+changelog
Reading changelogs... Done
(Reading database ... 708818 files and directories currently installed.)
Preparing to replace cairo-dock-data 2.3.0~2-1ubuntu2~natty (using .../cairo-dock-data_2.3.0~2-2ubuntu1~natty_all.deb) ...
Unpacking replacement cairo-dock-data ...
Preparing to replace cairo-dock-core 2.3.0~2-1ubuntu2~natty (using .../cairo-dock-core_2.3.0~2-2ubuntu1~natty_amd64.deb) ...
Unpacking replacement cairo-dock-core ...
Preparing to replace cairo-dock 2.3.0~2-1ubuntu2~natty (using .../cairo-dock_2.3.0~2-2ubuntu1~natty_all.deb) ...
Unpacking replacement cairo-dock ...
Preparing to replace screenlets-pack-all 0.0.2~bzr941+20110523053250~natty1 (using .../screenlets-pack-all_0.0.2~bzr943+20110528175802~natty1_all.deb) ...
Unpacking replacement screenlets-pack-all ...
Processing triggers for man-db ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for python-support ...
Setting up cairo-dock-data (2.3.0~2-2ubuntu1~natty) ...
Setting up cairo-dock-core (2.3.0~2-2ubuntu1~natty) ...
Setting up cairo-dock (2.3.0~2-2ubuntu1~natty) ...
Setting up screenlets-pack-all (0.0.2~bzr943+20110528175802~natty1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-central ...

2. Then i tried to replicate the error by selecting gnome-accessibility-themes-extras for install in Synaptic package manager....and well...what do you know...this time it installed....with errors:

Selecting previously deselected package gnome-accessibility-themes-extras.
(Reading database ... 708818 files and directories currently installed.)
Preparing to replace gnome-accessibility-themes-extras 2.32.1-0ubuntu1 (using .../gnome-accessibility-themes-extras_2.32.1-0ubuntu1_all.deb) ...
Unpacking replacement gnome-accessibility-themes-extras ...
dpkg: unrecoverable fatal error, aborting:
 fork failed: Cannot allocate memory
E: Sub-process /usr/bin/dpkg returned an error code (2)
A package failed to install. Trying to recover:

3. After that, i tried to uninstall it in synaptic and it said:

dpkg: error processing gnome-accessibility-themes-extras (--remove):
 Package is in a very bad inconsistent state - you should
 reinstall it before attempting a removal.
Errors were encountered while processing:
 gnome-accessibility-themes-extras
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:

E: gnome-accessibility-themes-extras: Package is in a very bad inconsistent state - you should reinstall it before attempting a removal.

4. So i did try to reinstall it, but it showed the same errors about dpkg fork failed. Then i rebooted an retried which delivered the original problem plus the new one but this time the package is (apparently) installed:

Selecting previously deselected package gnome-accessibility-themes-extras.
(Reading database ... 708818 files and directories currently installed.)
Preparing to replace gnome-accessibility-themes-extras 2.32.1-0ubuntu1 (using .../gnome-accessibility-themes-extras_2.32.1-0ubuntu1_all.deb) ...
Unpacking replacement gnome-accessibility-themes-extras ...
dpkg: error processing /var/cache/apt/archives/gnome-accessibility-themes-extras_2.32.1-0ubuntu1_all.deb (--unpack):
 trying to overwrite '/usr/share/themes/LowContrast/index.theme', which is also in package gnome-themes-standard 2.91.93-1
No apport report written because MaxReports is reached already
                                                              dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/gnome-accessibility-themes-extras_2.32.1-0ubuntu1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:

E: /var/cache/apt/archives/gnome-accessibility-themes-extras_2.32.1-0ubuntu1_all.deb: trying to overwrite '/usr/share/themes/LowContrast/index.theme', which is also in package gnome-themes-standard 2.91.93-1

5. I retried UNinstalling it. Succeded.

6. And now when i try to install it again shows the original issue:

(Reading database ... 708817 files and directories currently installed.)
Unpacking gnome-accessibility-themes-extras (from .../gnome-accessibility-themes-extras_2.32.1-0ubuntu1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/gnome-accessibility-themes-extras_2.32.1-0ubuntu1_all.deb (--unpack):
 trying to overwrite '/usr/share/themes/LowContrast/index.theme', which is also in package gnome-themes-standard 2.91.93-1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/gnome-accessibility-themes-extras_2.32.1-0ubuntu1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:

E: /var/cache/apt/archives/gnome-accessibility-themes-extras_2.32.1-0ubuntu1_all.deb: trying to overwrite '/usr/share/themes/LowContrast/index.theme', which is also in package gnome-themes-standard 2.91.93-1

I do not know how to proceed from here... Can you help please? I'd really appreciate it. Thanks.

PD: The lines about NOX gtk appear whenever i install any packages if i have the NOX gtk appearance active....I doubt that it is related... how wrong am i?:

/usr/share/themes/NOX/gtk-2.0/gtkrc:233: Murrine configuration option "gradients" is no longer supported and will be ignored.

sudo dpkg --force-all -i /var/cache/apt/archives/gnome-accessibility-themes-extras_2.32.1-0ubuntu1_all.deb

Please also log a bug by running:

ubuntu-bug gnome-accessibility-themes-extras

There is a duplicated file in TWO packages and dpkg doesn't like that. The giveawaylines are:

dpkg: error processing /var/cache/apt/archives/gnome-accessibility-themes-extras_2.32.1-0ubuntu1_all.deb (--unpack):
 trying to overwrite '/usr/share/themes/LowContrast/index.theme', which is also in package gnome-themes-standard 2.91.93-1

Which you should include in your bug. The command I gave will square off the packages but this does need fixing and should be smooth

Can you help with this problem?

Provide an answer of your own, or ask i0 for more information if necessary.

To post a message you must log in.